Custom variables for the lead. For call campaigns, use variables defined on your assistant (see Call variables). For WhatsApp/SMS campaigns, use the keys referenced by your template mapping or SMS body placeholders.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Revti.ai","colors":{"primary":"#00E67B","light":"#00E67B","dark":"#00E67B"},"favicon":"https://mintcdn.com/revtiai/40wn4hrgj0xz4kf0/favicon.png?fit=max\u0026auto=format\u0026n=40wn4hrgj0xz4kf0\u0026q=85\u0026s=73f917c2a681a21e4d4f4cba31b4529a","logo":{"light":"https://mintcdn.com/revtiai/FHBlMw6z08znniGQ/resources/logo/light.png?fit=max\u0026auto=format\u0026n=FHBlMw6z08znniGQ\u0026q=85\u0026s=56b483baef2f45b22a28743217d889ed","dark":"https://mintcdn.com/revtiai/FHBlMw6z08znniGQ/resources/logo/dark.png?fit=max\u0026auto=format\u0026n=FHBlMw6z08znniGQ\u0026q=85\u0026s=5c586de54208f3847d4abf33c559ecc0"},"api":{"mdx":{"server":"https://app.revti.ai/api/","auth":{"method":"bearer","name":null}}},"navbar":{"links":[{"label":"Home","href":"https://www.revti.ai"},{"label":"Support","href":"mailto:support@revti.ai"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.revti.ai"}},"footer":{"socials":{}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"revtiai","hasAudioNarration":false,"actualSubdomain":"revtiai","customDomains":["docs.revti.ai"],"gitSource":{"type":"github","owner":"revtiai","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"collectionId":"2dc97c55-e42a-4c19-a662-ee6c9e32874c","liveDeploymentHistoryId":"6acf979275db1a7792f15f9c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6acf979275db1a7792f15f9c"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6acf979275db1a7792f15f9c","clientVersion":"0.0.3990","searchFilterCounts":[{"language":"default","tag":"API Reference","count":97},{"language":"default","tag":"Platform Guide","count":89},{"language":"default","tag":"AI Assistants Overview","count":21},{"language":"default","tag":"Assistants","count":16},{"language":"default","tag":"Troubleshooting \u0026 FAQs","count":12},{"language":"default","tag":"Automations","count":10},{"language":"default","tag":"Knowledgebases","count":10},{"language":"default","tag":"Phone Numbers","count":10},{"language":"default","tag":"No-Code Automation","count":10},{"language":"default","tag":"Conversations","count":8}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"team@revtiai.coim","showHelpButton":true}},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#footer a[href*=\"mintlify.com\"][href*=poweredBy]{display:none!important}"}],"page":{"pagePath":"api-reference/leads/create","slug":"/api-reference/leads/create","pageMetadata":{"title":"Create lead","api":"POST /user/lead","description":"Create a new lead in the Revti.ai system","href":"/api-reference/leads/create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a new lead in the Revti.ai system\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This endpoint allows you to create a new lead in the Revti.ai system.`}),`\n`,_jsx(Heading,{level:`3`,id:`request-body`,children:`Request body`}),`\n`,_jsx(ParamField,{body:`phone_number`,type:`string`,required:true,id:`param-phone-number`,children:_jsx(_components.p,{children:`The phone number of the lead in E.164 format (e.g. +1234567890)`})}),`\n`,_jsx(ParamField,{body:`campaign_id`,type:`integer`,required:true,id:`param-campaign-id`,children:_jsx(_components.p,{children:`The ID of the campaign to create the lead for`})}),`\n`,_jsxs(ParamField,{body:`variables`,type:`object`,id:`param-variables`,children:[_jsxs(_components.p,{children:[`Custom variables for the lead. For `,_jsx(_components.strong,{children:`call`}),` campaigns, use variables defined on your assistant (see `,_jsx(_components.a,{href:`/ai-assistants/settings/prompt-and-tools#call-variables`,children:`Call variables`}),`). For `,_jsx(_components.strong,{children:`WhatsApp/SMS`}),` campaigns, use the keys referenced by your template mapping or SMS body placeholders.`]}),_jsxs(Expandable,{title:`Example variables (add your own)`,children:[_jsx(ParamField,{body:`customer_name`,type:`string`,id:`param-customer-name`,children:_jsx(_components.p,{children:`e.g. the name of the customer`})}),_jsx(ParamField,{body:`email`,type:`string`,id:`param-email`,children:_jsx(_components.p,{children:`e.g. the email of the customer`})})]})]}),`\n`,_jsx(ParamField,{body:`allow_dupplicate`,type:`boolean`,id:`param-allow-dupplicate`,children:_jsx(_components.p,{children:`Whether to allow duplicate leads in a campaign.`})}),`\n`,_jsxs(ParamField,{body:`secondary_contacts`,type:`array`,id:`param-secondary-contacts`,children:[_jsx(_components.p,{children:`Call campaigns only. Extra phone numbers for the same lead. Rejected for WhatsApp/SMS campaigns.`}),_jsxs(Expandable,{title:`secondary_contacts properties`,children:[_jsx(ParamField,{body:`phone_number`,type:`string`,required:true,id:`param-phone-number-1`,children:_jsx(_components.p,{children:`The phone number of the secondary contact in E.164 format`})}),_jsxs(ParamField,{body:`variables`,type:`object`,id:`param-variables-1`,children:[_jsx(_components.p,{children:`The variables to pass to the secondary contact`}),_jsxs(Expandable,{title:`variables properties`,children:[_jsx(ParamField,{body:`customer_name`,type:`string`,default:`\u003cstring>`,id:`param-customer-name-1`,children:_jsx(_components.p,{children:`The name of the secondary contact`})}),_jsx(ParamField,{body:`email`,type:`string`,default:`\u003cstring>`,id:`param-email-1`,children:_jsx(_components.p,{children:`The email of the secondary contact`})})]})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`message`,type:`string`,default:`Lead created successfully`,id:`param-message`,children:_jsx(_components.p,{children:`The message of the response`})}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object`,id:`param-data`,children:[_jsx(_components.p,{children:`The lead data object`}),_jsxs(Expandable,{title:`data properties`,children:[_jsx(ResponseField,{name:`id`,type:`integer`,id:`param-id`,children:_jsx(_components.p,{children:`The unique ID of the created lead`})}),_jsx(ResponseField,{name:`campaign_id`,type:`integer`,id:`param-campaign-id-1`,children:_jsx(_components.p,{children:`The ID of the campaign this lead belongs to`})}),_jsx(ResponseField,{name:`phone_number`,type:`string`,id:`param-phone-number-2`,children:_jsx(_components.p,{children:`The phone number of the lead in E.164 format`})}),_jsxs(ResponseField,{name:`variables`,type:`object`,id:`param-variables-2`,children:[_jsx(_components.p,{children:`The variables associated with the lead`}),_jsxs(Expandable,{title:`variables properties`,children:[_jsx(ResponseField,{name:`customer_name`,type:`string`,default:`\u003cstring>`,id:`param-customer-name-2`,children:_jsx(_components.p,{children:`The name of the customer`})}),_jsx(ResponseField,{name:`email`,type:`string`,default:`\u003cstring>`,id:`param-email-2`,children:_jsx(_components.p,{children:`The email of the customer`})})]})]}),_jsx(ResponseField,{name:`status`,type:`string`,default:`created`,id:`param-status`,children:_jsx(_components.p,{children:`The status of the lead`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at`,children:_jsx(_components.p,{children:`The timestamp when the lead was created`})}),_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at`,children:_jsx(_components.p,{children:`The timestamp when the lead was last updated`})}),_jsxs(ResponseField,{name:`campaign`,type:`object`,id:`param-campaign`,children:[_jsx(_components.p,{children:`The campaign information`}),_jsxs(Expandable,{title:`campaign properties`,children:[_jsx(ResponseField,{name:`id`,type:`integer`,id:`param-id-1`,children:_jsx(_components.p,{children:`The id of the campaign`})}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`The name of the campaign`})})]})]}),_jsxs(ResponseField,{name:`secondary_contacts`,type:`array`,id:`param-secondary-contacts-1`,children:[_jsx(_components.p,{children:`Array of secondary contact leads associated with this lead`}),_jsxs(Expandable,{title:`secondary_contacts properties`,children:[_jsx(ResponseField,{name:`id`,type:`integer`,id:`param-id-2`,children:_jsx(_components.p,{children:`The id of the secondary contact lead`})}),_jsx(ResponseField,{name:`phone_number`,type:`string`,id:`param-phone-number-3`,children:_jsx(_components.p,{children:`The phone number of the secondary contact in E.164 format`})}),_jsx(ResponseField,{name:`variables`,type:`object`,id:`param-variables-3`,children:_jsx(_components.p,{children:`The variables associated with the secondary contact`})}),_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status-1`,children:_jsx(_components.p,{children:`The status of the secondary contact`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at-1`,children:_jsx(_components.p,{children:`The created at date of the secondary contact`})}),_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at-1`,children:_jsx(_components.p,{children:`The updated at date of the secondary contact`})})]})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create lead","api":"POST /user/lead","description":"Create a new lead in the Revti.ai system","href":"/api-reference/leads/create"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This endpoint allows you to create a new lead in the Revti.ai system.`}),`\n`,_jsx(Heading,{level:`3`,id:`request-body`,children:`Request body`}),`\n`,_jsx(ParamField,{body:`phone_number`,type:`string`,required:true,id:`param-phone-number`,children:_jsx(_components.p,{children:`The phone number of the lead in E.164 format (e.g. +1234567890)`})}),`\n`,_jsx(ParamField,{body:`campaign_id`,type:`integer`,required:true,id:`param-campaign-id`,children:_jsx(_components.p,{children:`The ID of the campaign to create the lead for`})}),`\n`,_jsxs(ParamField,{body:`variables`,type:`object`,id:`param-variables`,children:[_jsxs(_components.p,{children:[`Custom variables for the lead. For `,_jsx(_components.strong,{children:`call`}),` campaigns, use variables defined on your assistant (see `,_jsx(_components.a,{href:`/ai-assistants/settings/prompt-and-tools#call-variables`,children:`Call variables`}),`). For `,_jsx(_components.strong,{children:`WhatsApp/SMS`}),` campaigns, use the keys referenced by your template mapping or SMS body placeholders.`]}),_jsxs(Expandable,{title:`Example variables (add your own)`,children:[_jsx(ParamField,{body:`customer_name`,type:`string`,id:`param-customer-name`,children:_jsx(_components.p,{children:`e.g. the name of the customer`})}),_jsx(ParamField,{body:`email`,type:`string`,id:`param-email`,children:_jsx(_components.p,{children:`e.g. the email of the customer`})})]})]}),`\n`,_jsx(ParamField,{body:`allow_dupplicate`,type:`boolean`,id:`param-allow-dupplicate`,children:_jsx(_components.p,{children:`Whether to allow duplicate leads in a campaign.`})}),`\n`,_jsxs(ParamField,{body:`secondary_contacts`,type:`array`,id:`param-secondary-contacts`,children:[_jsx(_components.p,{children:`Call campaigns only. Extra phone numbers for the same lead. Rejected for WhatsApp/SMS campaigns.`}),_jsxs(Expandable,{title:`secondary_contacts properties`,children:[_jsx(ParamField,{body:`phone_number`,type:`string`,required:true,id:`param-phone-number-1`,children:_jsx(_components.p,{children:`The phone number of the secondary contact in E.164 format`})}),_jsxs(ParamField,{body:`variables`,type:`object`,id:`param-variables-1`,children:[_jsx(_components.p,{children:`The variables to pass to the secondary contact`}),_jsxs(Expandable,{title:`variables properties`,children:[_jsx(ParamField,{body:`customer_name`,type:`string`,default:`\u003cstring>`,id:`param-customer-name-1`,children:_jsx(_components.p,{children:`The name of the secondary contact`})}),_jsx(ParamField,{body:`email`,type:`string`,default:`\u003cstring>`,id:`param-email-1`,children:_jsx(_components.p,{children:`The email of the secondary contact`})})]})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`message`,type:`string`,default:`Lead created successfully`,id:`param-message`,children:_jsx(_components.p,{children:`The message of the response`})}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object`,id:`param-data`,children:[_jsx(_components.p,{children:`The lead data object`}),_jsxs(Expandable,{title:`data properties`,children:[_jsx(ResponseField,{name:`id`,type:`integer`,id:`param-id`,children:_jsx(_components.p,{children:`The unique ID of the created lead`})}),_jsx(ResponseField,{name:`campaign_id`,type:`integer`,id:`param-campaign-id-1`,children:_jsx(_components.p,{children:`The ID of the campaign this lead belongs to`})}),_jsx(ResponseField,{name:`phone_number`,type:`string`,id:`param-phone-number-2`,children:_jsx(_components.p,{children:`The phone number of the lead in E.164 format`})}),_jsxs(ResponseField,{name:`variables`,type:`object`,id:`param-variables-2`,children:[_jsx(_components.p,{children:`The variables associated with the lead`}),_jsxs(Expandable,{title:`variables properties`,children:[_jsx(ResponseField,{name:`customer_name`,type:`string`,default:`\u003cstring>`,id:`param-customer-name-2`,children:_jsx(_components.p,{children:`The name of the customer`})}),_jsx(ResponseField,{name:`email`,type:`string`,default:`\u003cstring>`,id:`param-email-2`,children:_jsx(_components.p,{children:`The email of the customer`})})]})]}),_jsx(ResponseField,{name:`status`,type:`string`,default:`created`,id:`param-status`,children:_jsx(_components.p,{children:`The status of the lead`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at`,children:_jsx(_components.p,{children:`The timestamp when the lead was created`})}),_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at`,children:_jsx(_components.p,{children:`The timestamp when the lead was last updated`})}),_jsxs(ResponseField,{name:`campaign`,type:`object`,id:`param-campaign`,children:[_jsx(_components.p,{children:`The campaign information`}),_jsxs(Expandable,{title:`campaign properties`,children:[_jsx(ResponseField,{name:`id`,type:`integer`,id:`param-id-1`,children:_jsx(_components.p,{children:`The id of the campaign`})}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`The name of the campaign`})})]})]}),_jsxs(ResponseField,{name:`secondary_contacts`,type:`array`,id:`param-secondary-contacts-1`,children:[_jsx(_components.p,{children:`Array of secondary contact leads associated with this lead`}),_jsxs(Expandable,{title:`secondary_contacts properties`,children:[_jsx(ResponseField,{name:`id`,type:`integer`,id:`param-id-2`,children:_jsx(_components.p,{children:`The id of the secondary contact lead`})}),_jsx(ResponseField,{name:`phone_number`,type:`string`,id:`param-phone-number-3`,children:_jsx(_components.p,{children:`The phone number of the secondary contact in E.164 format`})}),_jsx(ResponseField,{name:`variables`,type:`object`,id:`param-variables-3`,children:_jsx(_components.p,{children:`The variables associated with the secondary contact`})}),_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status-1`,children:_jsx(_components.p,{children:`The status of the secondary contact`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at-1`,children:_jsx(_components.p,{children:`The created at date of the secondary contact`})}),_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at-1`,children:_jsx(_components.p,{children:`The updated at date of the secondary contact`})})]})]})]})]}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`200 Response`,numberOfLines:`43`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`43`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Lead created successfully\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"campaign_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"phone_number\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"+1234567890\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"variables\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"customer_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"John Doe\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"john.doe@example.com\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"created\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-06-30 11:53:20\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-06-30 11:53:20\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"campaign\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"My new campaign\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"secondary_contacts\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"phone_number\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"+1234567891\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"variables\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"customer_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Jane Doe Secondary\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"jane.doe.secondary@example.com\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"created\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-06-30 11:53:20\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-06-30 11:53:20\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`3`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"phone_number\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"+1234567892\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"variables\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"customer_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bob Doe Office\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"bob.doe.office@example.com\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"created\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-06-30 11:53:20\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-06-30 11:53:20\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create lead","api":"POST /user/lead","description":"Create a new lead in the Revti.ai system","href":"/api-reference/leads/create"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Request body","slug":"request-body","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"200 Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"43\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Lead created successfully\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"campaign_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"phone_number\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"+1234567890\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"variables\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"customer_name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"John Doe\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"john.doe@example.com\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"created\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2025-06-30 11:53:20\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2025-06-30 11:53:20\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"campaign\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"My new campaign\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"secondary_contacts\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">2\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"phone_number\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"+1234567891\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"variables\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"customer_name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Jane Doe Secondary\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"jane.doe.secondary@example.com\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"created\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2025-06-30 11:53:20\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2025-06-30 11:53:20\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">3\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"phone_number\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"+1234567892\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"variables\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"customer_name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Bob Doe Office\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"bob.doe.office@example.com\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"created\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2025-06-30 11:53:20\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2025-06-30 11:53:20\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Create lead","path":"/user/lead","servers":[{"url":"https://app.revti.ai/api/"}],"method":"post","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"phone_number":[{"type":"string","description":"The phone number of the lead in E.164 format (e.g. +1234567890)","required":true}],"campaign_id":[{"type":"integer","description":"The ID of the campaign to create the lead for","required":true}],"variables":[{"type":"object","properties":{"customer_name":[{"type":"string","description":"e.g. the name of the customer"}],"email":[{"type":"string","description":"e.g. the email of the customer"}]},"description":"Custom variables for the lead. For call campaigns, use variables defined on your assistant (see Call variables ). For WhatsApp/SMS campaigns, use the keys referenced by your template mapping or SMS body placeholders."}],"allow_dupplicate":[{"type":"boolean","description":"Whether to allow duplicate leads in a campaign."}],"secondary_contacts":[{"type":"array","items":[{"type":"object","properties":{"phone_number":[{"type":"string","description":"The phone number of the secondary contact in E.164 format","required":true}],"variables":[{"type":"object","properties":{"customer_name":[{"type":"string","description":"The name of the secondary contact"}],"email":[{"type":"string","description":"The email of the secondary contact"}]},"description":"The variables to pass to the secondary contact"}]}}],"description":"Call campaigns only. Extra phone numbers for the same lead. Rejected for WhatsApp/SMS campaigns."}]}}],"examples":{"example":{"value":{"phone_number":"\u003cstring>","campaign_id":123,"variables":{"customer_name":"\u003cstring>","email":"\u003cstring>"},"allow_dupplicate":true,"secondary_contacts":[{"phone_number":"\u003cstring>","variables":{"customer_name":"\u003cstring>","email":"\u003cstring>"}}]}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"message":[{"type":"string","description":"The message of the response"}],"data":[{"type":"object","properties":{"id":[{"type":"integer","description":"The unique ID of the created lead"}],"campaign_id":[{"type":"integer","description":"The ID of the campaign this lead belongs to"}],"phone_number":[{"type":"string","description":"The phone number of the lead in E.164 format"}],"variables":[{"type":"object","properties":{"customer_name":[{"type":"string","description":"The name of the customer"}],"email":[{"type":"string","description":"The email of the customer"}]},"description":"The variables associated with the lead"}],"status":[{"type":"string","description":"The status of the lead"}],"created_at":[{"type":"string","description":"The timestamp when the lead was created"}],"updated_at":[{"type":"string","description":"The timestamp when the lead was last updated"}],"campaign":[{"type":"object","properties":{"id":[{"type":"integer","description":"The id of the campaign"}],"name":[{"type":"string","description":"The name of the campaign"}]},"description":"The campaign information"}],"secondary_contacts":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"integer","description":"The id of the secondary contact lead"}],"phone_number":[{"type":"string","description":"The phone number of the secondary contact in E.164 format"}],"variables":[{"type":"object","properties":{},"description":"The variables associated with the secondary contact"}],"status":[{"type":"string","description":"The status of the secondary contact"}],"created_at":[{"type":"string","description":"The created at date of the secondary contact"}],"updated_at":[{"type":"string","description":"The updated at date of the secondary contact"}]}}],"description":"Array of secondary contact leads associated with this lead"}]},"description":"The lead data object"}]}}],"examples":{"example":{"value":{"message":"\u003cstring>","data":{"id":123,"campaign_id":123,"phone_number":"\u003cstring>","variables":{"customer_name":"\u003cstring>","email":"\u003cstring>"},"status":"\u003cstring>","created_at":"\u003cstring>","updated_at":"\u003cstring>","campaign":{"id":123,"name":"\u003cstring>"},"secondary_contacts":[{"id":123,"phone_number":"\u003cstring>","variables":{},"status":"\u003cstring>","created_at":"\u003cstring>","updated_at":"\u003cstring>"}]}}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"revtiai","siteName":"Revti.ai","title":"Create lead - Revti.ai","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-30T00:43:24.205Z","originalFileLocation":"api-reference/leads/create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a new lead in the Revti.ai system\">\u003cmeta data-mint-head name=\"application-name\" content=\"Revti.ai\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/revtiai/LNTRUSAdrx7tf59V/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/revtiai/LNTRUSAdrx7tf59V/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/revtiai/LNTRUSAdrx7tf59V/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/revtiai/LNTRUSAdrx7tf59V/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/revtiai/LNTRUSAdrx7tf59V/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/revtiai/LNTRUSAdrx7tf59V/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/revtiai/LNTRUSAdrx7tf59V/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/revtiai/LNTRUSAdrx7tf59V/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/revtiai/LNTRUSAdrx7tf59V/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create lead - Revti.ai\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a new lead in the Revti.ai system\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Revti.ai\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.revti.ai/api-reference/leads/create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://revtiai.mintlify.app/_mintlify/api/og/v2?division=Leads\u0026amp;title=Create+lead\u0026amp;description=Create+a+new+lead+in+the+Revti.ai+system\u0026amp;theme=ac906ef7d3ba68c1d6df2f3d\u0026amp;signature=2d72cb7e46e073e0e867d5656135054d3fb7f88d9ca7e00e451a996abf5216f7\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create lead - Revti.ai\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a new lead in the Revti.ai system\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://revtiai.mintlify.app/_mintlify/api/og/v2?division=Leads\u0026amp;title=Create+lead\u0026amp;description=Create+a+new+lead+in+the+Revti.ai+system\u0026amp;theme=ac906ef7d3ba68c1d6df2f3d\u0026amp;signature=2d72cb7e46e073e0e867d5656135054d3fb7f88d9ca7e00e451a996abf5216f7\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/revtiai/LNTRUSAdrx7tf59V/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Revti.ai\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#00E67B\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.revti.ai/api-reference/leads/create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/leads/create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.revti.ai/#organization\",\"name\":\"Revti.ai\",\"url\":\"https://docs.revti.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/revtiai/FHBlMw6z08znniGQ/resources/logo/light.png?fit=max\u0026auto=format\u0026n=FHBlMw6z08znniGQ\u0026q=85\u0026s=56b483baef2f45b22a28743217d889ed\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.revti.ai#website\",\"name\":\"Revti.ai\",\"url\":\"https://docs.revti.ai\",\"publisher\":{\"@id\":\"https://docs.revti.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.revti.ai/api-reference/leads/create#webpage\",\"url\":\"https://docs.revti.ai/api-reference/leads/create\",\"name\":\"Create lead\",\"description\":\"Create a new lead in the Revti.ai system\",\"dateModified\":\"2026-07-30T00:43:24.205Z\",\"isPartOf\":{\"@id\":\"https://docs.revti.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.revti.ai/api-reference/leads/create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.revti.ai/api-reference/leads/create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Leads\",\"item\":\"https://docs.revti.ai/api-reference/leads/get-lead\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create lead\",\"item\":\"https://docs.revti.ai/api-reference/leads/create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.revti.ai/api-reference/leads/create#apireference\",\"headline\":\"Create lead\",\"name\":\"Create lead\",\"description\":\"Create a new lead in the Revti.ai system\",\"url\":\"https://docs.revti.ai/api-reference/leads/create\",\"mainEntityOfPage\":{\"@id\":\"https://docs.revti.ai/api-reference/leads/create#webpage\"},\"dateModified\":\"2026-07-30T00:43:24.205Z\",\"publisher\":{\"@id\":\"https://docs.revti.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.revti.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Revti.ai\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Revti.ai","nav":{"global":null,"anchors":[{"anchor":"Platform Guide","icon":"book","pages":[{"title":"Platform Guide","href":"/introduction/what-is-platform"}]},{"anchor":"No-Code Automation","icon":"wand-magic-sparkles","color":{"light":"#6c63ff","dark":"#6c63ff"},"pages":[{"title":"No-Code Automation","href":"/automation-platform/introduction"}]},{"anchor":"API Reference","icon":"code","color":{"light":"#1c51fc","dark":"#1c51fc"},"groups":[{"group":"API Reference","pages":[{"title":"Introduction","icon":"book-open","href":"/api-reference/introduction"},{"title":"Authentication","icon":"key","href":"/api-reference/authentication"},{"title":"Get current user","api":"GET /user/me","href":"/api-reference/user/me"}]},{"group":"Assistants","pages":[{"title":"List assistants","api":"GET /user/assistants/get","href":"/api-reference/assistants/get-assistants"},{"title":"Get outbound assistants","api":"GET /user/assistants/outbound","href":"/api-reference/assistants/get-outbound-assistants"},{"title":"Create assistant","api":"POST /user/assistant","href":"/api-reference/assistants/create-assistant"},{"title":"Update assistant","api":"PUT /user/assistant/{id}","href":"/api-reference/assistants/update-assistant"},{"title":"Delete assistant","api":"DELETE /user/assistant/{id}","href":"/api-reference/assistants/delete-assistant"},{"title":"Enable assistant inbound webhook","api":"POST /user/assistants/enable-inbound-webhook","href":"/api-reference/assistants/enable-inbound-webhook"},{"title":"Disable assistant inbound webhook","api":"POST /user/assistants/disable-inbound-webhook","href":"/api-reference/assistants/disable-inbound-webhook"},{"title":"Enable conversation ended webhook","api":"POST /user/assistants/enable-conversation-ended-webhook","href":"/api-reference/assistants/enable-conversation-ended-webhook"},{"title":"Disable conversation ended webhook","api":"POST /user/assistants/disable-conversation-ended-webhook","href":"/api-reference/assistants/disable-conversation-ended-webhook"},{"title":"Disable assistant webhook","api":"POST /user/assistants/disable-webhook","href":"/api-reference/assistants/disable-webhook"},{"title":"Get available languages","api":"GET /user/assistants/languages","href":"/api-reference/assistants/get-languages"},{"title":"Get available voices","api":"GET /user/assistants/voices","href":"/api-reference/assistants/get-voices"},{"title":"Get available models","api":"GET /user/assistants/models","href":"/api-reference/assistants/get-models"},{"title":"Get synthesizer providers","api":"GET /user/assistants/synthesizer-providers","href":"/api-reference/assistants/get-synthesizer-providers"},{"title":"Get transcriber providers","api":"GET /user/assistants/transcriber-providers","href":"/api-reference/assistants/get-transcriber-providers"},{"title":"Get available phone numbers","api":"GET /user/assistants/phone-numbers","href":"/api-reference/assistants/get-phone-numbers"}]},{"group":"Folders","pages":[{"title":"List folders","api":"GET /user/folders","href":"/api-reference/folders/get-folders"},{"title":"Create folder","api":"POST /user/folder","href":"/api-reference/folders/create-folder"},{"title":"Update folder","api":"PUT /user/folder/{id}","href":"/api-reference/folders/update-folder"},{"title":"Delete folder","api":"DELETE /user/folder/{id}","href":"/api-reference/folders/delete-folder"}]},{"group":"Labels","pages":[{"title":"List labels","api":"GET /user/labels","href":"/api-reference/labels/get-labels"},{"title":"Create label","api":"POST /user/label","href":"/api-reference/labels/create-label"},{"title":"Update label","api":"PUT /user/label/{id}","href":"/api-reference/labels/update-label"},{"title":"Delete label","api":"DELETE /user/label/{id}","href":"/api-reference/labels/delete-label"}]},{"group":"Calls","pages":[{"title":"List calls","api":"GET /user/calls","href":"/api-reference/calls/get-calls"},{"title":"Get call","api":"GET /user/calls/{id}","href":"/api-reference/calls/get-call"},{"title":"Make a phone call","api":"POST /user/make_call","href":"/api-reference/calls/make-phone-call"},{"title":"Delete call","api":"DELETE /user/calls/{call}","href":"/api-reference/calls/delete-call"}]},{"group":"Conversations","pages":[{"title":"List Conversations","api":"GET /user/conversations","href":"/api-reference/conversations/list-conversations"},{"title":"Create Conversation","api":"POST /conversations","href":"/api-reference/conversations/create-conversation"},{"title":"Get Conversation","api":"GET /conversations/{uuid}","href":"/api-reference/conversations/get-conversation"},{"title":"Send Message","api":"POST /conversations/{uuid}/messages","href":"/api-reference/conversations/send-message"},{"title":"Disable AI","api":"POST /user/conversations/{uuid}/disable-ai","href":"/api-reference/conversations/disable-ai"},{"title":"Enable AI","api":"POST /user/conversations/{uuid}/enable-ai","href":"/api-reference/conversations/enable-ai"}]},{"group":"AI","pages":[{"title":"Generate AI Reply","api":"POST /user/ai/generate-reply","href":"/api-reference/ai/generate-reply"}]},{"group":"Mid Call Tools","pages":[{"title":"List mid call tools","api":"GET /user/tools","href":"/api-reference/mid-call-tools/get-tools"},{"title":"Get mid call tool","api":"GET /user/tools/{id}","href":"/api-reference/mid-call-tools/get-tool"},{"title":"Create mid call tool","api":"POST /user/tools","href":"/api-reference/mid-call-tools/create-tool"},{"title":"Update mid call tool","api":"PUT /user/tools/{id}","href":"/api-reference/mid-call-tools/update-tool"},{"title":"Delete mid call tool","api":"DELETE /user/tools/{id}","href":"/api-reference/mid-call-tools/delete-tool"}]},{"group":"Leads","pages":[{"title":"List leads","api":"GET /user/leads","description":"List all leads for the authenticated user with filtering and pagination options","href":"/api-reference/leads/get-lead"},{"title":"Create lead","api":"POST /user/lead","href":"/api-reference/leads/create"},{"title":"Update Lead","api":"PUT /user/leads/{id}","description":"Update an existing lead in your campaigns","href":"/api-reference/leads/update-lead"},{"title":"Delete lead","api":"DELETE /user/leads/{id}","href":"/api-reference/leads/delete"}]},{"group":"Campaigns","pages":[{"title":"List campaigns","api":"GET /user/campaigns","href":"/api-reference/campaigns/get-campaigns"},{"title":"Get campaign","api":"GET /user/campaign/{id}","href":"/api-reference/campaigns/get-campaign"},{"title":"Create campaign","api":"POST /user/campaign","href":"/api-reference/campaigns/create-campaign"},{"title":"Update campaign status","api":"POST /user/campaigns/update-status","href":"/api-reference/campaigns/update-status"},{"title":"Delete campaign","api":"DELETE /user/campaign/{id}","href":"/api-reference/campaigns/delete-campaign"}]},{"group":"Automations","pages":[{"title":"List automations","api":"GET /user/automate/flows","href":"/api-reference/automations/list-automations"},{"title":"Get automation","api":"GET /user/automate/flows/{id}","href":"/api-reference/automations/get-automation"},{"title":"Create automation","api":"POST /user/automate/flows","href":"/api-reference/automations/create-automation"},{"title":"Update automation","api":"PUT /user/automate/flows/{id}","href":"/api-reference/automations/update-automation"},{"title":"Restore previous version","api":"POST /user/automate/flows/{id}/restore","href":"/api-reference/automations/restore-automation"},{"title":"Delete automation","api":"DELETE /user/automate/flows/{id}","href":"/api-reference/automations/delete-automation"},{"title":"List automation runs","api":"GET /user/automate/flows/{id}/runs","href":"/api-reference/automations/list-automation-runs"},{"title":"Retry automation run","api":"POST /user/automate/flows/{id}/runs/{run_id}/retry","href":"/api-reference/automations/retry-automation-run"},{"title":"List automation templates","api":"GET /user/automate/templates","href":"/api-reference/automations/list-automation-templates"},{"title":"Apply automation template","api":"POST /user/automate/templates/{key}","href":"/api-reference/automations/apply-automation-template"}]},{"group":"Phone Numbers","pages":[{"title":"Get all phone numbers","api":"GET /user/phone-numbers/all","href":"/api-reference/phone-numbers/get-phone-numbers"},{"title":"Search available phone numbers","api":"GET /user/phone-numbers/search","href":"/api-reference/phone-numbers/search-phone-numbers"},{"title":"Purchase phone number","api":"POST /user/phone-numbers/purchase","href":"/api-reference/phone-numbers/purchase-phone-number"},{"title":"Release phone number","api":"DELETE /user/phone-numbers/{id}","href":"/api-reference/phone-numbers/release-phone-number"},{"title":"Update phone number","api":"PUT /user/phone-numbers/{id}","href":"/api-reference/phone-numbers/update-phone-number"}]},{"group":"SIP Trunks","pages":[{"title":"List SIP trunks","api":"GET /user/phone-numbers/sip-trunks","href":"/api-reference/sip-trunks/list-sip-trunks"},{"title":"Get SIP trunk","api":"GET /user/phone-numbers/sip-trunks/{id}","href":"/api-reference/sip-trunks/get-sip-trunk"},{"title":"Create SIP trunk","api":"POST /user/phone-numbers/sip-trunks","href":"/api-reference/sip-trunks/create-sip-trunk"},{"title":"Update SIP trunk","api":"PUT /user/phone-numbers/sip-trunks/{id}","href":"/api-reference/sip-trunks/update-sip-trunk"},{"title":"Delete SIP trunk","api":"DELETE /user/phone-numbers/{id}","href":"/api-reference/sip-trunks/delete-sip-trunk"}]},{"group":"Knowledgebases","pages":[{"title":"Get knowledgebases","api":"GET /user/knowledgebases","href":"/api-reference/knowledgebases/get-knowledgebases"},{"title":"Get knowledgebase","api":"GET /user/knowledgebases/{id}","href":"/api-reference/knowledgebases/get-knowledgebase"},{"title":"Create knowledgebase","api":"POST /user/knowledgebases","href":"/api-reference/knowledgebases/create-knowledgebase"},{"title":"Update knowledgebase","api":"PUT /user/knowledgebases/{id}","href":"/api-reference/knowledgebases/update-knowledgebase"},{"title":"Delete knowledgebase","api":"DELETE /user/knowledgebases/{id}","href":"/api-reference/knowledgebases/delete-knowledgebase"},{"title":"Get documents","api":"GET /user/knowledgebases/{knowledgebaseId}/documents","href":"/api-reference/knowledgebases/get-documents"},{"title":"Get document","api":"GET /user/knowledgebases/{knowledgebaseId}/documents/{documentId}","href":"/api-reference/knowledgebases/get-document"},{"title":"Create document","api":"POST /user/knowledgebases/{knowledgebaseId}/documents","href":"/api-reference/knowledgebases/create-document"},{"title":"Update document","api":"PUT /user/knowledgebases/{knowledgebaseId}/documents/{documentId}","href":"/api-reference/knowledgebases/update-document"},{"title":"Delete document","api":"DELETE /user/knowledgebases/{knowledgebaseId}/documents/{documentId}","href":"/api-reference/knowledgebases/delete-document"}]},{"group":"SMS","pages":[{"title":"Send SMS","api":"POST /user/sms","href":"/api-reference/sms/send-sms"}]},{"group":"WhatsApp","pages":[{"title":"Get WhatsApp Senders","api":"GET /user/whatsapp/senders","href":"/api-reference/whatsapp/get-senders"},{"title":"Get Templates","api":"GET /user/whatsapp/senders/{senderId}/templates","href":"/api-reference/whatsapp/get-templates"},{"title":"Send Template Message","api":"POST /user/whatsapp/send","href":"/api-reference/whatsapp/send-template"},{"title":"Send Freeform Message","api":"POST /user/whatsapp/send-freeform","href":"/api-reference/whatsapp/send-freeform"},{"title":"Get Session Status","api":"GET /user/whatsapp/session-status","href":"/api-reference/whatsapp/session-status"}]},{"group":"Webhooks","pages":[{"title":"Post-Call Webhook","icon":"webhook","href":"/api-reference/webhooks/post-call-webhook"},{"title":"Conversation Ended Webhook","icon":"webhook","href":"/api-reference/webhooks/conversation-ended-webhook"},{"title":"Read Receipts Webhook","icon":"webhook","href":"/api-reference/webhooks/read-receipts-webhook"}]},{"group":"API Keys","pages":[{"title":"Create API key","api":"POST /user/api-keys","href":"/api-reference/authentication/create-api-key"},{"title":"List API keys","api":"GET /user/api-keys","href":"/api-reference/authentication/list-api-keys"},{"title":"Delete API key","api":"DELETE /user/api-keys/{id}","href":"/api-reference/authentication/delete-api-key"}]}]},{"anchor":"Platform updates","icon":"scroll","color":{"light":"#ffbb00","dark":"#ffbb00"},"pages":[{"title":"Platform updates","href":"/releases"}]}]},"title":"Create lead - Revti.ai","buildId":"dpl_2oYXwqkEXirXBPk8wV1FtM5USFWi","deploymentId":"dpl_2oYXwqkEXirXBPk8wV1FtM5USFWi","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-WRhTSUDL.js","utils-ChMov4Kr.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-_REmC2bI.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp6nVRCu.js","snippetPresets-DZadmXoU.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CY2WdoTl.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DwYG-Q4l.js","shallow-BXQIGwv4.js","getApiPlaygroundDisplay-CK5nK5B9.js","CodeSnippet-TH4a2aGW.js","CodeSnippets-DwsQiOFS.js","Page-R3M_BF4L.js","getPastedJson-DD7kUzi_.js","icon-holE3QoJ.js","MethodPill-DUW0T8us.js","DuplicateIcon-CI_p4be-.js","createIcon-BdbRvavb.js","DynamicMarkdown-DN96a4Ur.js","SectionHeading-SCu36A9d.js","axios-vUo_bRtp.js"]}